module Util exposing (..)

fi = String.fromInt
ff = String.fromFloat
tf = toFloat

pairMap : (a -> b) -> a -> (a,b)
pairMap fn a = (a, fn a)

third : (a,b,c) -> c
third (a,b,c) = c

maybeIf : (a -> Bool) -> Maybe a -> Maybe a
maybeIf condition = Maybe.andThen (\a -> if condition a then Just a else Nothing)

capitalise : String -> String
capitalise str = (String.left 1 str |> String.toUpper) ++ (String.dropLeft 1 str)